import { OnInit } from '@angular/core';
import { IAnnotation } from '@ahryman40k/ts-fhir-types/lib/R4';
import { AbstractDetailsComponent } from '../../../shared/abstracts/details/abstract-details/abstract-details.component';
import { ModalController } from '@ionic/angular';
export declare class CareplanHistoryDetailsComponent extends AbstractDetailsComponent<IAnnotation> implements OnInit {
    private modalController;
    note: any;
    text: string;
    start: string;
    end: string;
    constructor(modalController: ModalController);
    ngOnInit(): void;
    close(): void;
}
